> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Duplication



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/projects/duplications
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/duplications:
    post:
      tags:
        - Projects
      summary: Create Duplication
      operationId: ProjectsController_createDuplication_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDuplicationDto'
      responses:
        '202':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DuplicationAcceptedResponseDto'
components:
  schemas:
    CreateDuplicationDto:
      type: object
      properties:
        sourceProjectId:
          type: string
        requestKey:
          type: string
          format: uuid
        name:
          type: string
          maxLength: 255
        code:
          type: string
          nullable: true
          maxLength: 100
        asPrototype:
          type: boolean
        clientId:
          type: string
          nullable: true
        billingClientId:
          type: string
          nullable: true
        lifecycleStatus:
          type: string
          nullable: true
        projectLeadId:
          type: string
          nullable: true
        plannedStartDate:
          type: string
          nullable: true
          pattern: ^\d{4}-\d{2}-\d{2}$
        targetEndDate:
          type: string
          nullable: true
          pattern: ^\d{4}-\d{2}-\d{2}$
        tagIds:
          uniqueItems: true
          maxItems: 20
          type: array
          items:
            type: string
        memberUserIds:
          uniqueItems: true
          type: array
          items:
            type: string
        areaIds:
          uniqueItems: true
          type: array
          items:
            type: string
        includeItems:
          type: boolean
        sector:
          type: string
        workType:
          type: string
          nullable: true
        specDisciplines:
          type: array
          uniqueItems: true
          items:
            type: string
            enum:
              - architectural
              - finishes
              - ffe
              - ose
        description:
          type: string
          nullable: true
          maxLength: 2000
        region:
          enum:
            - north_america
            - east_coast
            - west_coast
            - europe
            - middle_east
            - latin_america
            - apac
          type: string
      required:
        - sourceProjectId
        - requestKey
        - name
    DuplicationAcceptedResponseDto:
      type: object
      properties:
        requestId:
          type: string
      required:
        - requestId

````